View Issue Details

IDProjectCategoryView StatusLast Update
0016295ScribusGeneralpublic2020-11-17 07:52
Reporterbubu Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status newResolutionopen 
Product Version1.5.6.svn 
Target VersionFixed in Version 
Summary0016295: Scribus crashes on Ubuntu 20.10
DescriptionScribus (1.5.5+svn23928+dfsg-1build1) crashes on startup on Ubuntu 20.10.

Steps To Reproduce- On Ubuntu 20.10 install scribus: $ sudo apt install scribus
This will install scribus_1.5.5+svn23928+dfsg-1build1_amd64.deb
See: https://packages.ubuntu.com/groovy/scribus

- Start it: $ scribus
pathForIcon: Unable to load icon /usr/share/scribus/icons/1_5_1/lab.png: File not found
pathForIcon: Unable to load icon /usr/share/scribus/icons/1_5_1/spot.png: File not found
pathForIcon: Unable to load icon /usr/share/scribus/icons/1_5_1/register.png: File not found
Scribus Crash
-------------
Scribus crashes due to Signal ... 0000011
load glyph failed err=6 face=0x56249d475a90, glyph=6
Segmentation fault (core dumped)
Additional InformationOther reports:
- https://bugs.launchpad.net/ubuntu/+source/scribus/+bug/1901345
- https://ubuntuforums.org/showthread.php?t=2452560&p=13995122#post13995122
- https://www.reddit.com/r/Ubuntu/comments/jhwf0z/scribus_155_is_actually_156_unstable_in_2010/
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0016287 closedjghali o scribus não funciona 
has duplicate 0016331 closedjghali Closed Scribus while trying to open a PDF file and now Scribus no longer works 

Activities

ale

2020-10-30 13:07

manager   ~0048265

could you add the debug symbols and run it with gdb?

... it looks like a library issue...

jghali

2020-10-30 15:20

administrator   ~0048267

I managed to reproduced the crash in my Ubuntu 20.10 VM. It does not happen systematically tho. Looks like a crash in a GTK event loop or something like that.

jghali

2020-10-30 22:20

administrator   ~0048268

It seems I cannot reproduce the crash anymore with latest Ubuntu updates.

bubu

2020-10-31 10:07

reporter   ~0048269

OK, I'm trying to help, but I'm really not a C++ developer, so I'm a noob for debugging Scribus. I found only very outdated wiki pages how to build Scribus on Ubuntu 20.10 with debug symbols and I do not fully understand what gdb is...

I build Scribus cmake -DWANT_DEBUG=1 -DCMAKE_INSTALL_PREFIX:PATH=/usr/local/scribus_svn ..

When I start it I get this output:
/usr/local/scribus_svn/bin$ gdb ./scribus
GNU gdb (Ubuntu 9.2-0ubuntu2) 9.2
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from ./scribus...
(gdb) run
Starting program: /usr/local/scribus_svn/bin/scribus
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7ffff1880640 (LWP 42463)]
[New Thread 0x7fffebe94640 (LWP 42464)]
[New Thread 0x7fffeb693640 (LWP 42465)]
[New Thread 0x7fffeac4e640 (LWP 42466)]
[New Thread 0x7fffea1cc640 (LWP 42468)]
[Detaching after fork from child process 42469]
[Detaching after fork from child process 42470]
[Detaching after fork from child process 42471]
[Detaching after fork from child process 42472]
[Detaching after fork from child process 42473]
pathForIcon: Unable to load icon /usr/local/scribus_svn/share/scribus/icons/1_5_1/lab.png: File not found
pathForIcon: Unable to load icon /usr/local/scribus_svn/share/scribus/icons/1_5_1/spot.png: File not found
pathForIcon: Unable to load icon /usr/local/scribus_svn/share/scribus/icons/1_5_1/register.png: File not found
Unsupported ICC profile class 70727472
fromIccProfile: failed general sanity check
QPngHandler: Failed to parse ICC profile
[New Thread 0x7fffd8e06640 (LWP 42476)]
[New Thread 0x7fffcffff640 (LWP 42477)]
[New Thread 0x7fffcf7fe640 (LWP 42478)]
[New Thread 0x7fffceffd640 (LWP 42479)]
[New Thread 0x7fffce7fc640 (LWP 42480)]
[New Thread 0x7fffcdffb640 (LWP 42481)]
[New Thread 0x7fffcce51640 (LWP 42482)]
[New Thread 0x7fffb7fff640 (LWP 42483)]
[Thread 0x7fffcdffb640 (LWP 42481) exited]
[Thread 0x7fffcf7fe640 (LWP 42478) exited]
[Thread 0x7fffceffd640 (LWP 42479) exited]
[Thread 0x7fffd8e06640 (LWP 42476) exited]
[Thread 0x7fffcffff640 (LWP 42477) exited]
[Thread 0x7fffce7fc640 (LWP 42480) exited]

@ale, if you give me a wiki description I will do more.
@jhali, I updated my Ubuntu (including Scribus), but it continues to crash.

ale

2020-10-31 12:47

manager   ~0048270

with ubuntu, you don't need to compile scribus yourself to start scribus with the debugger.

i can see if i can put together a short tutorial.

anyway, i think that jean got the information he needed to reproduce and ubuntu seems to have fixed the bug...

bubu

2020-10-31 15:28

reporter   ~0048271

After upgrading to scribus-trunk amd64 1.5.6svn~r24132~20201031~ppa78~ubuntu20.10.1 I got this warning:

There is a problem loading 1 of 55 plugins. libhunspellplugin.cpython-38-x86_64-linux-gnu.so This is probably caused by some kind of dependency issue or old plugins existing in your install directory. If you clean out your install directory and reinstall and this still occurs, please report it on bugs.scribus.net.

And yes, there is a /usr/lib/scribus-trunk/plugins/libhunspellplugin.cpython-38-x86_64-linux-gnu.so file. If I remove it the crash persists.

jghali

2020-10-31 16:34

administrator   ~0048272

>> anyway, i think that jean got the information he needed to reproduce and ubuntu seems to have fixed the bug...

Arghhh!! After restarting my VM this morning, the crash is unfortunately back. Here is the backtrace I'm getting:

#0 0x00007fb6b221766f in __GI___poll (fds=0x562a6e01a7d0, nfds=4,
    timeout=2992) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007fb6b197e71e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007fb6b197e853 in g_main_context_iteration ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007fb6b2941843 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
0000004 0x00007fb6b28e8a4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
0000005 0x00007fb6b35a001f in QDialog::exec() ()
   from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000006 0x0000562a69c7e8cf in ScribusMainWindow::startUpDialog (this=
    0x562a6c5327c0)
    at /home/developer/Documents/scribus-trunk/Scribus/scribus/scribus.cpp:1970
0000007 0x0000562a69cd916f in ScribusCore::startGUI (this=0x562a6c45cda0,
    showSplash=true, showFontInfo=false, showProfileInfo=false,
    newGuiLanguage=...)
    at /home/developer/Documents/scribus-trunk/Scribus/scribus/scribuscore.cpp:132
0000008 0x0000562a69cd519e in ScribusQApp::init (this=0x7fff7beb3290)
    at /home/developer/Documents/scribus-trunk/Scribus/scribus/scribusapp.cpp:364
0000009 0x0000562a6a342643 in mainApp (argc=1, argv=0x7fff7beb3438)
    at /home/developer/Documents/scribus-trunk/Scribus/scribus/main_nix.cpp:72
0000010 0x0000562a6a3425b8 in main (argc=1, argv=0x7fff7beb3438)
    at /home/developer/Documents/scribus-trunk/Scribus/scribus/main_nix.cpp:51

Unfortunately it seems something bad happens deep inside Qt and glib. So the fix will likely have to happen on Ubuntu side.

cbradney

2020-10-31 23:36

administrator   ~0048277

Tested here .. no crash on 20.10

bubu

2020-11-01 12:15

reporter   ~0048278

I tested it on a fresh Ubuntu 20.10 (VM) and get this result. I installed only the scribus package:
- 1st start Scribus works well
- Close Scribus and restart it: crashed :-(.

bubu

2020-11-01 19:01

reporter   ~0048279

New test here... If I remove that 2 files before running Scribus every time:
 ~/.config/scribus/checkfonts150.xml
 ~/.config/scribus/scribus150.rc
there is no crash on startup anymore, Scribus is usable.
I tested this on fresh Ubuntu 20.10 and on my real desktop. I hope this helps.

cbradney

2020-11-01 21:54

administrator   ~0048280

Try editing the theme="" in scribus150.rc to be "Fusion" or "Windows" and see if it starts up.

I have zero issue here with all 3 themes on 20.10 though. Again, likely a Qt or GTK issue. Not a Scribus issue.

bubu

2020-11-02 08:38

reporter   ~0048286

@cbradney, thanks for you help. Unfortunately this fix (theme="Fusion") does not solve the crash problem completely:
- If Scribus crashes and there is an empty theme attribute, when I fill it with theme="Fusion", it solves the problem.
- But after that if I edit the Scribus preferences on GUI, after exit and restart Scribus crashes again although this theme attribute is not empty in this case.
- And on some cases Scribus starts without any problem with empty theme attribute.
:-(

jghali

2020-11-02 14:37

administrator   ~0048292

The crash can be avoided by setting in scribus150.rc the Maximized attribute of MainWindow element to "0".

For those compiling scribus themselves on Ubuntu 20.10, a temporary workaround can be to comment out following lines in scribus.cpp:
if (mainWinSettings.maximized)
        this->setWindowState((this->windowState() & ~(Qt::WindowMinimized | Qt::WindowFullScreen)) | Qt::WindowMaximized);
Of course, when starting up scribus, the maximization state of scribus main window will not be restored anymore.

I tried several workarounds in order the allow the maximization state of scribus main window to be restored while preventing the crash on Ubuntu 20.10, unfortunately without success as none of the workarounds I tried worked reliably.

So at this point, I strongly think that the fix will have to come from Ubuntu guys or GTK guys. I doubt the issue is in Qt as the same Qt 5.14.x works correctly in other distros.

bubu

2020-11-02 16:26

reporter   ~0048293

@jghali, you are right, I can confirm that <MainWindow Maximized="0" /> solves the crash. Thank you for investigation.

jghali

2020-11-13 12:57

administrator   ~0048403

It seems also that the 1.5.6 AppImage does not trigger the crash in 20.10. But that's probably because it embeds Ubuntu 18.04 components.

alexandre

2020-11-16 21:14

developer   ~0048440

Actually, nope, 1.5.6 fails to respond after loading here with both AppImage and my own build from source code. Not running it with maximized window mode does solve the issue.

antoonstessels

2020-11-16 21:37

reporter   ~0048441

This is the output in the Terminal when I launch Scribus in Ubuntu 20.10. As I mentioned on other forums, GNOME Shell crashes, and Scribus doesn't respond. I have to kill the process to close Scribus.

cbradney

2020-11-17 07:52

administrator   ~0048444

Those few missing files isn't a problem, Scribus falls back to previous versions of the icons

Issue History

Date Modified Username Field Change
2020-10-30 11:36 bubu New Issue
2020-10-30 13:07 ale Note Added: 0048265
2020-10-30 14:44 ale View Status public => private
2020-10-30 14:44 ale View Status private => public
2020-10-30 15:20 jghali Note Added: 0048267
2020-10-30 22:20 jghali Note Added: 0048268
2020-10-31 10:07 bubu Note Added: 0048269
2020-10-31 12:47 ale Note Added: 0048270
2020-10-31 15:28 bubu File Added: Képernyőkép erről: 2020-10-31 16-17-12.png
2020-10-31 15:28 bubu Note Added: 0048271
2020-10-31 16:34 jghali Note Added: 0048272
2020-10-31 23:36 cbradney Note Added: 0048277
2020-11-01 12:15 bubu Note Added: 0048278
2020-11-01 19:01 bubu Note Added: 0048279
2020-11-01 21:54 cbradney Note Added: 0048280
2020-11-02 04:22 jghali Relationship added has duplicate 0016287
2020-11-02 08:38 bubu Note Added: 0048286
2020-11-02 14:37 jghali Note Added: 0048292
2020-11-02 16:26 bubu Note Added: 0048293
2020-11-12 18:45 jghali Relationship added has duplicate 0016331
2020-11-13 12:57 jghali Note Added: 0048403
2020-11-16 21:14 alexandre Note Added: 0048440
2020-11-16 21:37 antoonstessels File Added: Schermafdruk van 2020-11-16 17-42-14.png
2020-11-16 21:37 antoonstessels Note Added: 0048441
2020-11-17 07:52 cbradney Note Added: 0048444